Documentation

Everything you need to integrate CodiFlux into your products.

Getting Started

Quick start guide to integrate CodiFlux licensing.

License API

REST API reference for activate, verify, deactivate.

PHP SDK

2-line PHP integration for your applications.

WordPress Plugin

Integrate licensing into your WordPress plugins.

Android SDK

Java and Kotlin SDK for Android applications.

Chrome Extension

Add licensing to your Chrome/Edge extensions.

License API Endpoints

POST /api/activate Activate a license for a domain/identifier
POST /api/verify Verify if a license is valid
POST /api/deactivate Deactivate a license
POST /api/check-update Check for product updates
GET /api/ping Check server connectivity

Quick Start — PHP SDK

// Include the SDK
require 'CodiFluxLicense.php';

// Initialize
$license = new CodiFluxLicense(
    'https://codiflux.com',
    'YOUR-LICENSE-KEY'
);

// Activate
$result = $license->activate('your-domain.com');

// Verify
$valid = $license->isValid();